{myConfig, ...}: {
  xdg.desktopEntries.mo2-nix-fo4 = {
    name = "Mod Organizer 2 Fallout";
    exec = "protontricks-launch --appid 377160 \"/home/${myConfig.nixos.username}/Games/mod-organizer-2-fallout4/modorganizer2/ModOrganizer.exe\" %u";
    terminal = false;
    categories = ["Game"];
    mimeType = ["x-scheme-handler/nxm" "x-scheme-handler/nxm-protocol"];
  };

  xdg.mimeApps.enable = true;
  xdg.mimeApps.defaultApplications = {
    "x-scheme-handler/nxm" = ["mo2-nix-fo4.desktop"];
    "x-scheme-handler/nxm-protocol" = ["mo2-nix-fo4.desktop"];
  };
}
